#**********************************************************************#
#*                                                                    *#
#* Copyright (c) 2001 by Sun Microsystems, Inc.                       *#
#* All rights reserved.                                               *#
#*                                                                    *#
#**********************************************************************#

echo "Compiling ACCTSET.bms"
kixbms -a -c ACCTSET.bms

echo "Translating acct00"
kixclt -d sybase acct00.ccs
echo "compiling acct00.c"
cc -Bdynamic -Kpic -c -Xt -I$INCLUDE1 -I$INCLUDE2 -I$INCLUDE3 -o acct00.o acct00.c
ld -G -o acct00.so acct00.o

echo "Precompiling acct01"
cpre -I$INCLUDE1 -C KR_C -Oacct01.ccs acct01.cp 
echo "Translating acct01"
kixclt -d sybase acct01.ccs
echo "compiling acct01.c"
cc -Bdynamic -Kpic -c -Xt -I$INCLUDE1 -I$INCLUDE2 -I$INCLUDE3 -o acct01.o acct01.c
ld -G -o acct01.so acct01.o

echo "Precompiling acct02"
cpre -I$INCLUDE1 -C KR_C -Oacct02.ccs acct02.cp 
echo "Translating acct02"
kixclt -d sybase acct02.ccs
echo "compiling acct02.c"
cc -Bdynamic -Kpic -c -Xt -I$INCLUDE1 -I$INCLUDE2 -I$INCLUDE3 -o acct02.o acct02.c
ld -G -o acct02.so acct02.o

echo "Translating acct03"
kixclt -d sybase acct03.ccs
echo "compiling acct03.c"
cc -Bdynamic -Kpic -c -Xt -I$INCLUDE1 -I$INCLUDE2 -I$INCLUDE3 -o acct03.o acct03.c
ld -G -o acct03.so acct03.o

echo "Precompiling acctfet"
cpre -I$INCLUDE1 -C KR_C -Oacctfet.ccs acctfet.cp 
echo "Translating acctfet"
kixclt -d sybase acctfet.ccs
echo "compiling acctfet.c"
cc -Bdynamic -Kpic -c -Xt -I$INCLUDE1 -I$INCLUDE2 -I$INCLUDE3 -o acctfet.o acctfet.c
ld -G -o acctfet.so acctfet.o
